Compare commits

...

80 Commits

Author SHA1 Message Date
Taiki Endo
c80c44ce16 Release 2.6.16 2023-04-19 04:35:30 +09:00
Taiki Endo
1354305f72 Update cargo-llvm-cov@latest to 0.5.16 2023-04-19 04:25:24 +09:00
Taiki Endo
8569da4c37 Release 2.6.15 2023-04-18 13:22:11 +09:00
github-actions[bot]
2d2c3d6d98 Update dprint@latest to 0.36.0 (#104) 2023-04-18 12:22:55 +10:00
Taiki Endo
3b28924ced Release 2.6.14 2023-04-16 15:36:15 +09:00
github-actions[bot]
85a28581e5 Update manifest (#103)
* Update `cargo-llvm-cov@latest` to 0.5.15

* Update `cargo-minimal-versions@latest` to 0.1.12

---------

Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-04-16 12:46:56 +10:00
Taiki Endo
f0b89cda51 Release 2.6.13 2023-04-13 13:19:48 +09:00
github-actions[bot]
9e5260f1db Update protoc@latest to 3.22.3 (#102)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-04-13 13:36:51 +10:00
Taiki Endo
a4cdfee82b Release 2.6.12 2023-04-13 04:45:02 +09:00
Taiki Endo
71bb81889c Update cargo-deny@latest to 0.13.9 2023-04-13 02:29:14 +09:00
Taiki Endo
4f363552df Update tools/tidy.sh 2023-04-13 00:04:55 +09:00
Taiki Endo
60c0a46993 Revert "Update release scripts (take 2)"
This reverts commit 3cd0f0ed94.
2023-04-11 13:01:15 +09:00
Taiki Endo
5129b57152 Release 2.6.11 2023-04-11 12:57:05 +09:00
Taiki Endo
3cd0f0ed94 Update release scripts (take 2) 2023-04-11 12:56:52 +09:00
Taiki Endo
1fe1e0ef01 Update dprint@latest to 0.35.4 2023-04-11 12:33:39 +09:00
Taiki Endo
7ef4fec011 Release 2.6.10 2023-04-07 13:34:39 +09:00
github-actions[bot]
a6cd5fac26 Update cargo-deny@latest to 0.13.8 (#99)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-04-07 13:08:04 +10:00
Taiki Endo
e0b88e5cc1 Release 2.6.9 2023-04-05 22:58:30 +09:00
Taiki Endo
2402df67ca Update tools/tidy.sh 2023-04-05 22:57:49 +09:00
Taiki Endo
4d6942468f Update cargo-llvm-cov@latest to 0.5.14 2023-04-05 22:56:47 +09:00
Taiki Endo
046c416559 Release 2.6.8 2023-04-05 13:28:24 +09:00
github-actions[bot]
88e9b610ea Update cargo-tarpaulin@latest to 0.25.2 (#97)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-04-05 13:22:48 +10:00
Taiki Endo
af69857b4d Release 2.6.7 2023-04-04 13:05:46 +09:00
Taiki Endo
e0569e0473 Update cspell dictionary 2023-04-04 13:05:24 +09:00
github-actions[bot]
5ba293a432 Update cargo-llvm-cov@latest to 0.5.13 (#96) 2023-04-04 13:49:06 +10:00
Taiki Endo
7282cc8708 Revert "Update release scripts"
This reverts commit 2336994aba.
2023-04-03 06:41:57 +09:00
Taiki Endo
02416c9844 Release 2.6.6 2023-04-03 06:32:46 +09:00
Taiki Endo
329d41893a Update cargo-llvm-cov@latest to 0.5.12 2023-04-03 06:31:57 +09:00
Taiki Endo
2336994aba Update release scripts 2023-04-03 05:52:57 +09:00
Taiki Endo
71ccc3978d Update cspell dictionary 2023-04-03 05:51:47 +09:00
Taiki Endo
28dd623da7 Ignore username in todo comment in spell-check 2023-03-30 22:39:28 +09:00
Taiki Endo
1c96e2750b Release 2.6.5 2023-03-25 23:30:54 +09:00
Taiki Endo
b047e58764 Update cspell dictionary 2023-03-25 23:30:17 +09:00
Taiki Endo
02aadca714 Update cargo-binstall@latest to 0.22.0 2023-03-23 17:50:30 +09:00
Taiki Endo
c64d4ba1ed Release 2.6.4 2023-03-21 13:28:01 +09:00
Taiki Endo
f006976e02 Update wasmtime@latest to 7.0.0 2023-03-21 13:27:11 +09:00
Taiki Endo
7570159fcc Release 2.6.3 2023-03-20 12:23:55 +09:00
Taiki Endo
7fed544855 Update zola@latest to 0.17.2 2023-03-20 12:22:33 +09:00
Taiki Endo
9eaa8ca48b Update wasm-pack@latest to 0.11.0 2023-03-20 12:22:33 +09:00
Taiki Endo
159a429775 Update cargo-nextest@latest to 0.9.51 2023-03-20 12:22:33 +09:00
Taiki Endo
f11f1002f9 Release 2.6.2 2023-03-14 18:09:14 +09:00
Taiki Endo
2bb480a517 Update changelog 2023-03-14 18:08:57 +09:00
Taiki Endo
99f013d5f8 Update cargo-binstall@latest to 0.21.3 2023-03-14 18:07:03 +09:00
Taiki Endo
5eaf5ab4ba Release 2.6.1 2023-03-14 11:45:29 +09:00
Taiki Endo
03352a8b6a Update cargo-nextest@latest to 0.9.50 2023-03-14 11:45:00 +09:00
Taiki Endo
af4171e2c6 Release 2.6.0 2023-03-14 00:58:53 +09:00
Taiki Endo
3d7b60cc55 Remove outdated line from changelog 2023-03-14 00:58:38 +09:00
Taiki Endo
bb9815bf9d Update dprint@latest to 0.35.3 2023-03-14 00:50:35 +09:00
Taiki Endo
f0a8f08e0c Update cargo-binstall@latest to 0.21.2 2023-03-14 00:50:35 +09:00
Taiki Endo
23d49b97dc Update dprint@latest to 0.35.0 2023-03-12 02:19:48 +09:00
Taiki Endo
e7a47b23f5 Automatically cancel outdated CI runs on PR 2023-03-12 00:18:04 +09:00
Taiki Endo
13917065c4 Release 2.5.7 2023-03-11 12:06:49 +09:00
Taiki Endo
3a95a5da72 Update protoc@latest to 3.22.2 2023-03-11 12:03:04 +09:00
Taiki Endo
dca3b37006 Release 2.5.6 2023-03-10 12:14:10 +09:00
Taiki Endo
045dd4076c tidy: Improve performance of spellcheck 2023-03-10 00:50:01 +09:00
Taiki Endo
0ffbddd290 tidy: Check GitHub workflow permissions 2023-03-10 00:50:01 +09:00
Taiki Endo
0c2d9a651a Update wasmtime@latest to 6.0.1 2023-03-09 13:42:18 +09:00
Taiki Endo
bfecd3c66b Release 2.5.5 2023-03-08 11:45:13 +09:00
Taiki Endo
f1a94ab9f4 Update protoc@latest to 3.22.1 2023-03-08 11:44:25 +09:00
Taiki Endo
2e796d41df Update mdbook@latest to 0.4.28 2023-03-05 13:05:00 +09:00
Taiki Endo
ad40afb0c1 Release 2.5.4 2023-03-01 02:29:25 +09:00
Taiki Endo
83dc00c495 Update cargo-llvm-cov@latest to 0.5.11 2023-03-01 02:28:53 +09:00
Taiki Endo
f2466a4319 Update cargo-hack@latest to 0.5.28 2023-03-01 02:28:53 +09:00
Taiki Endo
29410ef0ac Release 2.5.3 2023-02-28 23:28:29 +09:00
Taiki Endo
e8c60492cd Update cargo-no-dev-deps@latest to 0.2.2 2023-02-28 23:28:10 +09:00
Taiki Endo
67aa8bcf8a Release 2.5.2 2023-02-27 13:22:20 +09:00
Taiki Endo
1bb76441d3 Update .clippy.toml 2023-02-27 13:21:44 +09:00
Taiki Endo
8c919c2041 Update cargo-tarpaulin@latest to 0.25.1 2023-02-27 11:32:05 +09:00
Taiki Endo
6dec0fcd4c Release 2.5.1 2023-02-25 19:18:03 +09:00
Taiki Endo
ef14bb365d Update zola@latest to 0.17.1 2023-02-25 12:05:39 +09:00
Taiki Endo
d3afca2ffc Release 2.5.0 2023-02-24 02:39:32 +09:00
Taiki Endo
11d418d698 Update changelog 2023-02-24 02:39:21 +09:00
Taiki Endo
93edea8666 Update shebang for bash scripts
In non-Linux systems such as BSDs, bash is not always in /bin.
2023-02-24 01:44:48 +09:00
Taiki Endo
af5165ce25 Update cargo-llvm-cov@latest to 0.5.10 2023-02-24 01:12:19 +09:00
Taiki Endo
2a60fd3151 Switch to composite action 2023-02-22 22:15:07 +09:00
Taiki Endo
0c4592b32a Release 2.4.4 2023-02-21 11:29:51 +09:00
Taiki Endo
005d3ec234 Update wasmtime@latest to 6.0.0 2023-02-21 11:27:28 +09:00
Taiki Endo
5d8239931a Release 2.4.3 2023-02-17 12:23:34 +09:00
Taiki Endo
43e49c2430 Update zola@latest to 0.17.0 2023-02-17 12:17:13 +09:00
Taiki Endo
70715d2909 Update protoc@latest to 3.22.0 2023-02-17 12:17:13 +09:00
28 changed files with 946 additions and 106 deletions

View File

@@ -1 +1,5 @@
# Clippy configuration
# https://doc.rust-lang.org/nightly/clippy/lint_configuration.html
avoid-breaking-exported-api = false
disallowed-names = []

View File

@@ -26,7 +26,7 @@
],
"ignoreRegExpList": [
// Copyright notice
"Copyright ((\\(c\\)|\\(C\\)|©) )?.*",
"Copyright .*",
// GHA actions/workflows
"uses: .+@",
// GHA context (repo name, owner name, etc.)
@@ -35,6 +35,8 @@
"( |\\[)@[\\w_-]+",
// Git config username
"git config user.name .*",
// Username in todo comment
"(TODO|FIXME)\\([\\w_., -]+\\)",
// Cargo.toml authors
"authors *= *\\[.*\\]",
"\".* <[\\w_.+-]+@[\\w.-]+>\""

View File

@@ -29,6 +29,7 @@ Zmiri
// Rust target triple
aarch
amdgpu
androideabi
armeb
armebv
@@ -61,10 +62,12 @@ musleabi
musleabihf
newlibeabihf
nvptx
ohos
openwrt
riscv
softfloat
sparcv
spirv
thumbeb
thumbebv
thumbv
@@ -77,30 +80,44 @@ vxworks
wasi
watchos
xous
xtensa
// Rust other
aclass
acqrel
alloc
bools
builtins
bytecount
canonicalize
concat
consts
ctypes
dealloc
deque
docsrs
doctest
doctests
hasher
impls
inlateout
intrinsics
lateout
mclass
memcpy
msrv
nand
nomem
nonoverlapping
noreturn
nostack
peekable
punct
rclass
repr
rfind
rfold
rposition
rsplit
rustlib
seqcst
@@ -109,15 +126,23 @@ supertrait
supertraits
sysroot
toolchains
turbofish
uninit
unsized
upcastable
// Other
armel
armhf
binutils
connrefused
cygwin
dpkg
elif
endianness
esac
euxo
gsub
msys
noninteractive
noprofile
@@ -127,5 +152,11 @@ objdump
pipefail
powerset
proto
ranlib
readelf
shellcheckrc
SIGABRT
SIGILL
SIGINT
SIGTERM
tlsv

View File

@@ -1,5 +1,4 @@
binstall
bytecodealliance
coreutils
distro
doas
@@ -7,21 +6,15 @@ dprint
enablerepo
epel
grcov
jfrimmel
koalaman
libc
linkcheck
mdbook
microdnf
mvdan
nextest
protobuf
protoc
protocolbuffers
pwsh
quickinstall
rockylinux
rustwasm
shellcheck
shfmt
udeps

View File

@@ -26,6 +26,10 @@ defaults:
run:
shell: bash
concurrency:
group: ${{ github.workflow }}-${{ github.event.pull_request.number || github.sha }}
cancel-in-progress: true
jobs:
tidy:
uses: taiki-e/workflows/.github/workflows/tidy.yml@main
@@ -160,7 +164,7 @@ jobs:
runs-on: ubuntu-latest
timeout-minutes: 60
permissions:
contents: write # TODO test
contents: write
pull-requests: write
steps:
- uses: actions/checkout@v3

View File

@@ -1,8 +1,7 @@
name: Release
permissions:
# TODO: once `releases: write` is supported, use it instead.
contents: write
contents: read
on:
push:
@@ -18,6 +17,8 @@ jobs:
if: github.repository_owner == 'taiki-e'
runs-on: ubuntu-latest
timeout-minutes: 60
permissions:
contents: write
steps:
- uses: actions/checkout@v3
with:

View File

@@ -10,6 +10,130 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.6.16] - 2023-04-18
- Update `cargo-llvm-cov@latest` to 0.5.16.
## [2.6.15] - 2023-04-18
- Update `dprint@latest` to 0.36.0.
## [2.6.14] - 2023-04-16
- Update `cargo-minimal-versions@latest` to 0.1.12.
- Update `cargo-llvm-cov@latest` to 0.5.15.
## [2.6.13] - 2023-04-13
- Update `protoc@latest` to 3.22.3.
## [2.6.12] - 2023-04-12
- Update `cargo-deny@latest` to 0.13.9.
## [2.6.11] - 2023-04-11
- Update `dprint@latest` to 0.35.4.
## [2.6.10] - 2023-04-07
- Update `cargo-deny@latest` to 0.13.8.
## [2.6.9] - 2023-04-05
- Update `cargo-llvm-cov@latest` to 0.5.14.
## [2.6.8] - 2023-04-05
- Update `cargo-tarpaulin@latest` to 0.25.2.
## [2.6.7] - 2023-04-04
- Update `cargo-llvm-cov@latest` to 0.5.13.
## [2.6.6] - 2023-04-02
- Update `cargo-llvm-cov@latest` to 0.5.12.
## [2.6.5] - 2023-03-25
- Update `cargo-binstall@latest` to 0.22.0.
## [2.6.4] - 2023-03-21
- Update `wasmtime@latest` to 7.0.0.
## [2.6.3] - 2023-03-20
- Update `zola@latest` to 0.17.2.
- Update `wasm-pack@latest` to 0.11.0.
- Update `cargo-nextest@latest` to 0.9.51.
## [2.6.2] - 2023-03-14
- Update `cargo-binstall@latest` to 0.21.3. This fixes spurious error when accessing crates.io.
## [2.6.1] - 2023-03-14
- Update `cargo-nextest@latest` to 0.9.50.
## [2.6.0] - 2023-03-13
- Update `dprint@latest` to 0.35.3.
- Update `cargo-binstall@latest` to 0.21.2.
## [2.5.7] - 2023-03-11
- Update `protoc@latest` to 3.22.2.
## [2.5.6] - 2023-03-10
- Update `wasmtime@latest` to 6.0.1.
## [2.5.5] - 2023-03-08
- Update `protoc@latest` to 3.22.1.
- Update `mdbook@latest` to 0.4.28.
## [2.5.4] - 2023-02-28
- Update `cargo-llvm-cov@latest` to 0.5.11.
- Update `cargo-hack@latest` to 0.5.28.
## [2.5.3] - 2023-02-28
- Update `cargo-no-dev-deps@latest` to 0.2.2.
## [2.5.2] - 2023-02-27
- Update `cargo-tarpaulin@latest` to 0.25.1.
## [2.5.1] - 2023-02-25
- Update `zola@latest` to 0.17.1.
## [2.5.0] - 2023-02-23
- Update `cargo-llvm-cov@latest` to 0.5.10.
- Switch to composite action. ([#58](https://github.com/taiki-e/install-action/pull/58))
## [2.4.4] - 2023-02-21
- Update `wasmtime@latest` to 6.0.0.
## [2.4.3] - 2023-02-17
- Update `zola@latest` to 0.17.0.
- Update `protoc@latest` to 3.22.0.
## [2.4.2] - 2023-02-14
- Update `mdbook@latest` to 0.4.27.
@@ -621,7 +745,34 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.4.2...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.6.16...HEAD
[2.6.16]: https://github.com/taiki-e/install-action/compare/v2.6.15...v2.6.16
[2.6.15]: https://github.com/taiki-e/install-action/compare/v2.6.14...v2.6.15
[2.6.14]: https://github.com/taiki-e/install-action/compare/v2.6.13...v2.6.14
[2.6.13]: https://github.com/taiki-e/install-action/compare/v2.6.12...v2.6.13
[2.6.12]: https://github.com/taiki-e/install-action/compare/v2.6.11...v2.6.12
[2.6.11]: https://github.com/taiki-e/install-action/compare/v2.6.10...v2.6.11
[2.6.10]: https://github.com/taiki-e/install-action/compare/v2.6.9...v2.6.10
[2.6.9]: https://github.com/taiki-e/install-action/compare/v2.6.8...v2.6.9
[2.6.8]: https://github.com/taiki-e/install-action/compare/v2.6.7...v2.6.8
[2.6.7]: https://github.com/taiki-e/install-action/compare/v2.6.6...v2.6.7
[2.6.6]: https://github.com/taiki-e/install-action/compare/v2.6.5...v2.6.6
[2.6.5]: https://github.com/taiki-e/install-action/compare/v2.6.4...v2.6.5
[2.6.4]: https://github.com/taiki-e/install-action/compare/v2.6.3...v2.6.4
[2.6.3]: https://github.com/taiki-e/install-action/compare/v2.6.2...v2.6.3
[2.6.2]: https://github.com/taiki-e/install-action/compare/v2.6.1...v2.6.2
[2.6.1]: https://github.com/taiki-e/install-action/compare/v2.6.0...v2.6.1
[2.6.0]: https://github.com/taiki-e/install-action/compare/v2.5.7...v2.6.0
[2.5.7]: https://github.com/taiki-e/install-action/compare/v2.5.6...v2.5.7
[2.5.6]: https://github.com/taiki-e/install-action/compare/v2.5.5...v2.5.6
[2.5.5]: https://github.com/taiki-e/install-action/compare/v2.5.4...v2.5.5
[2.5.4]: https://github.com/taiki-e/install-action/compare/v2.5.3...v2.5.4
[2.5.3]: https://github.com/taiki-e/install-action/compare/v2.5.2...v2.5.3
[2.5.2]: https://github.com/taiki-e/install-action/compare/v2.5.1...v2.5.2
[2.5.1]: https://github.com/taiki-e/install-action/compare/v2.5.0...v2.5.1
[2.5.0]: https://github.com/taiki-e/install-action/compare/v2.4.4...v2.5.0
[2.4.4]: https://github.com/taiki-e/install-action/compare/v2.4.3...v2.4.4
[2.4.3]: https://github.com/taiki-e/install-action/compare/v2.4.2...v2.4.3
[2.4.2]: https://github.com/taiki-e/install-action/compare/v2.4.1...v2.4.2
[2.4.1]: https://github.com/taiki-e/install-action/compare/v2.4.0...v2.4.1
[2.4.0]: https://github.com/taiki-e/install-action/compare/v2.3.5...v2.4.0

View File

@@ -11,6 +11,14 @@ inputs:
required: false
default: 'true'
# Note:
# - inputs.* should be manually mapped to INPUT_* due to https://github.com/actions/runner/issues/665
# - Use GITHUB_*/RUNNER_* instead of github.*/runner.* due to https://github.com/actions/runner/issues/2185
runs:
using: node16
main: main.js
using: composite
steps:
- run: bash --noprofile --norc "${GITHUB_ACTION_PATH:?}/main.sh"
shell: bash
env:
INPUT_TOOL: ${{ inputs.tool }}
INPUT_CHECKSUM: ${{ inputs.checksum }}

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euxo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
@@ -15,6 +15,7 @@ for manifest in manifests/*.json; do
git stash pop
new_version=$(jq -r '.latest.version' "${manifest}")
if [[ "${old_version}" != "${new_version}" ]]; then
# TODO: If there is a line about updating the same tool in the "Unreleased" section, replace it.
msg="Update \`${name}@latest\` to ${new_version}"
sed -i "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n- ${msg}./" CHANGELOG.md
git add "${manifest}" CHANGELOG.md

28
main.js
View File

@@ -1,28 +0,0 @@
// This is a script that just calls the bash script that does the main
// processing of the action. It works like a composite action that calls
// a single bash script.
//
// This was originally a trick adopted to make bash script-based actions work
// without docker before composite actions were supported. However, due to
// various problems with composite actions, this trick is still needed:
// - https://github.com/actions/runner/issues/665
// - https://github.com/actions/runner/issues/2185
// Although there are ways to work around these like cache-cargo-install-action does:
// https://github.com/taiki-e/cache-cargo-install-action/blob/v1.0.1/action.yml#L9-L11
const { execFileSync } = require('child_process');
function main() {
try {
execFileSync(
'bash',
['--noprofile', '--norc', `${__dirname}/main.sh`],
{ stdio: 'inherit' }
);
} catch (e) {
console.log(`::error::${e.message}`);
process.exit(1);
}
}
main();

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'

View File

@@ -20,26 +20,26 @@
}
},
"latest": {
"version": "0.20.1"
"version": "0.22.0"
},
"0.20.1": {
"0.22.0": {
"x86_64_linux_musl": {
"checksum": "4729eea4277f0cfb72dd983984ef7b3938f0af5f0e256ca6e6b90c6177decbb2"
"checksum": "2238080e5e2c4eae5993de478341af6348e10fd9763a95a77e654e6f28268266"
},
"x86_64_macos": {
"checksum": "8b057687f4e367bd51c2feb7f9473d2fe50fa54273ec9ae61e4e0238044f4761"
"checksum": "3e87999ab63edf3cdd71a3839bd85661c5dea5d763718668b8b3b35b1ac5dbe0"
},
"x86_64_windows": {
"checksum": "467b0abcabe9c0456f721d108c90b53ea050d121f7c9ae8b23a048d0f55bad16"
"checksum": "f656718d44ca4a09ff2231970edc7878a1aa33b6e15790a4884a758144008e27"
},
"aarch64_linux_musl": {
"checksum": "8f7b6f899de74110bf7426ca9d579d4981c67a13ada64907e7095a0cd1b3f116"
"checksum": "280fc36a0f565d76636aa3aff570c97d1e6fbd6aa08ef315af2cb968054e1d9b"
},
"aarch64_macos": {
"checksum": "05a1cb0a1c779263f0173e351cc5e6aab0dfc49a7c1fa5152422c4e9d16b13c0"
"checksum": "abb87cb2ef23b552c62dc463777debb31be4a817ef9366509abb245d346e4410"
},
"aarch64_windows": {
"checksum": "39e011c1e13b0f510c8c729de4bc4c93984f88c4d30cfa975e9672320ac7bd8a"
"checksum": "50108bd891a0b6a0044f71d11e09e886a3eec44f4163d44f79a3eed049a484c2"
}
}
}

View File

@@ -18,10 +18,38 @@
}
},
"latest": {
"version": "0.13.7"
"version": "0.13.9"
},
"0.13": {
"version": "0.13.7"
"version": "0.13.9"
},
"0.13.9": {
"x86_64_linux_musl": {
"checksum": "77f6b3feab12afc82638cd4c6197c983d249d1afa4180a6b9c933efbf8bff427"
},
"x86_64_macos": {
"checksum": "7b790f7e15dc6bb79dc0a737310f62fc7a4653749e40ec4fa7419ee627a014ed"
},
"x86_64_windows": {
"checksum": "6f6a69d1dbabf98a1d826dd2dbc0bbfd378336ec891b3e7fd8c570744ea6efa3"
},
"aarch64_macos": {
"checksum": "7d4cc49030262296c96076519deefc740e70fbc338ccd9179d4bc9d3be373512"
}
},
"0.13.8": {
"x86_64_linux_musl": {
"checksum": "95b2b7eacc1e93b918969e8d9f25dad49ce079511401308b548f5fceeafeb896"
},
"x86_64_macos": {
"checksum": "950f36ddbb08c0686305f97196b450a99efd3bbea3553746b4f1b9942a5ab2b7"
},
"x86_64_windows": {
"checksum": "5cae60df4ab5a9c949a59f56cf101562b7a962fb2750b5e6aeb47e0d8799e962"
},
"aarch64_macos": {
"checksum": "6eeedd852be234c5b27359e7ce6c7da665511afb5d643c7ce8db660e08ca7bc1"
}
},
"0.13.7": {
"x86_64_linux_musl": {

View File

@@ -1,10 +1,36 @@
{
"template": null,
"latest": {
"version": "0.5.27"
"version": "0.5.28"
},
"0.5": {
"version": "0.5.27"
"version": "0.5.28"
},
"0.5.28": {
"x86_64_linux_musl": {
"url": "https://github.com/taiki-e/cargo-hack/releases/download/v0.5.28/cargo-hack-x86_64-unknown-linux-musl.tar.gz",
"checksum": "87fb6dbb3e8272ec912f85b80366d0c4784fbcf0fe4e5981bf442efaf29dfe48"
},
"x86_64_macos": {
"url": "https://github.com/taiki-e/cargo-hack/releases/download/v0.5.28/cargo-hack-x86_64-apple-darwin.tar.gz",
"checksum": "e926dbb2921544835c5e38cd4e3ac3ef5be4b4ab752528f45d805b652df11ee4"
},
"x86_64_windows": {
"url": "https://github.com/taiki-e/cargo-hack/releases/download/v0.5.28/cargo-hack-x86_64-pc-windows-msvc.zip",
"checksum": "fb3df062d00fa8b7efa42e7a87ff997bd74fab2d83f1a476532b991b86065052"
},
"aarch64_linux_musl": {
"url": "https://github.com/taiki-e/cargo-hack/releases/download/v0.5.28/cargo-hack-aarch64-unknown-linux-musl.tar.gz",
"checksum": "788308e4504a2676d97847fcc3993f47e8c93c4b43b46b8566b7b18cef01093f"
},
"aarch64_macos": {
"url": "https://github.com/taiki-e/cargo-hack/releases/download/v0.5.28/cargo-hack-aarch64-apple-darwin.tar.gz",
"checksum": "47c3390818b5f434a4697aeff0f71f4f69b7e7c2df946b74cce45e2bb0fc8dfd"
},
"aarch64_windows": {
"url": "https://github.com/taiki-e/cargo-hack/releases/download/v0.5.28/cargo-hack-aarch64-pc-windows-msvc.tar.gz",
"checksum": "c38da73a61a3600aed98d4ee00bce0c64bca4b4e2200112f55011872d420ead5"
}
},
"0.5.27": {
"x86_64_linux_musl": {

View File

@@ -17,10 +17,129 @@
}
},
"latest": {
"version": "0.5.9"
"version": "0.5.16"
},
"0.5": {
"version": "0.5.9"
"version": "0.5.16"
},
"0.5.16": {
"x86_64_linux_musl": {
"checksum": "d7759f9d465907f4a8fa24f10bfa0817863f62c412ffaae7b8dadab370201f9b"
},
"x86_64_macos": {
"checksum": "67f720d403569e7fa69ed2ed74c90d06658dc713c0f1f60088f12af267db5c6b"
},
"x86_64_windows": {
"checksum": "d19af20d0e4688f2557024fe84c6eeaddf3e7abcb9fb45304a9d042dd155d1bd"
},
"aarch64_linux_musl": {
"checksum": "f1055016db604f346d351d16fdb3ae43d7ab7ebc31e4463b836daa990b17c78f"
},
"aarch64_macos": {
"checksum": "db2780cf7af86b50ae011f49c4a91f2da58115ff47835a96dca134de2bd60c7e"
}
},
"0.5.15": {
"x86_64_linux_musl": {
"checksum": "407b0ddf85e6a39dfe5379761fc1074c7e79f7b518c732072bda1e4fc854d0fb"
},
"x86_64_macos": {
"checksum": "71c6d3010f8d08ab45b23e3459a751d4f8afeaa96f1537815f3cc9f96c4cbef6"
},
"x86_64_windows": {
"checksum": "8de32cdcb14a4ca1fabe5dae76761bfa73890fa070e935a4628f0ca8ac050759"
},
"aarch64_linux_musl": {
"checksum": "93cae63fb000fbe327a0f5e8caf6507f9d6c9fdf6775c248968ad977411d8f51"
},
"aarch64_macos": {
"checksum": "6286e6e73bf505c67b23d47591f6f05e5f5feba809442a6a66d1b7ec3fc8a93b"
}
},
"0.5.14": {
"x86_64_linux_musl": {
"checksum": "688e56f78611f7866842f5b86e27672225b28c8a536c75d6c0a3fd67082474ea"
},
"x86_64_macos": {
"checksum": "8d4a93175d5ba0710a46ccab007444cea4c53406b4c0b6c6ae6916d1192ac333"
},
"x86_64_windows": {
"checksum": "5773b119db63bbbcb975ecd3e0c71ae548506d85312248d6d3e94758cf88bba6"
},
"aarch64_linux_musl": {
"checksum": "61b22ff22d95ca6af9c668c780fe2a23a519a44d1fab3de01adadfbb36cea54d"
},
"aarch64_macos": {
"checksum": "f98c5d4bc2f7b67328a82028bb78f0a67436ae81a4e2a7911fd4f18f572c434b"
}
},
"0.5.13": {
"x86_64_linux_musl": {
"checksum": "e57875cba95527149d15d7f9c66b9d624d8154040f19aedbca96e2c6b7687ffb"
},
"x86_64_macos": {
"checksum": "f694bcaf714f352b76182b0aeec9626ca5280ceca275f949caa762a561030350"
},
"x86_64_windows": {
"checksum": "642046071c3c221748a3a6a08b5c7d71d7644928d4d7707fa30b38da8357f074"
},
"aarch64_linux_musl": {
"checksum": "d9173b2aae99f29276cd7d84ffdea9eb29f8831acd3f9d9de1c2af4366d917df"
},
"aarch64_macos": {
"checksum": "b9bb4d03065c4d7e52ed4148d71d36a4c890dee37108addfa9ba19771e46fa1d"
}
},
"0.5.12": {
"x86_64_linux_musl": {
"checksum": "998b1d9e630295459743fe7051a7e3d04e82836456171493eb5983dde710b07e"
},
"x86_64_macos": {
"checksum": "77faedad91c300b51d2d40040a6c61903a555da319047983ec56c81598cbea9b"
},
"x86_64_windows": {
"checksum": "5d0d3df674a431272f75e77dd2c07fdbc5ee83ade11c0839bbd0fdae35480351"
},
"aarch64_linux_musl": {
"checksum": "87c54166055d2d486620ceb27440442d34d71b364fdd6f6da57a210ae5f75e33"
},
"aarch64_macos": {
"checksum": "05c8f8e2210a3218b167dce33477785a0bc0c718fac7b15d2f4a428791234f03"
}
},
"0.5.11": {
"x86_64_linux_musl": {
"checksum": "3bd355e29b8e29d0b42f0c95ec487cd8e00ffa419ba65b83968740a641a46c1e"
},
"x86_64_macos": {
"checksum": "fe0e54836a367697a1b475440af2e7438e56caf6e548b88faa88edc221a515f7"
},
"x86_64_windows": {
"checksum": "528202a08b47ca579722db1949da2362a7f03fe0ea84a45d6679dc73d33603e9"
},
"aarch64_linux_musl": {
"checksum": "479f51fac713151f73ee0ab5d7cb1155646cde17903dfd7c526cd51253e99a4c"
},
"aarch64_macos": {
"checksum": "276d8fa70299ec9ae014cab905cdbd614d6bddfa6abcc414492091585dd55ab5"
}
},
"0.5.10": {
"x86_64_linux_musl": {
"checksum": "6ff31ac54aacc133c8d462c99b353dc31924aa9d0bc088ffdd8caa8cc7a14be4"
},
"x86_64_macos": {
"checksum": "a0924478bfd7a62711d8e9186470dfbb2a00ed22dba704bcd98f65dc41fd5ec7"
},
"x86_64_windows": {
"checksum": "3504347f7bdde8fa7c73e938c3cbce5397418799f9125ee3729e7168e387e5c0"
},
"aarch64_linux_musl": {
"checksum": "c395bb8834c779b1bb5a2e0d8302eeec1ef389ee980b47b21f4573181c769786"
},
"aarch64_macos": {
"checksum": "3935ac3f3e4af883f698d5e41dae9b3d248ce0a606b0520b739d5e967d78a10e"
}
},
"0.5.9": {
"x86_64_linux_musl": {

View File

@@ -20,10 +20,30 @@
}
},
"latest": {
"version": "0.1.11"
"version": "0.1.12"
},
"0.1": {
"version": "0.1.11"
"version": "0.1.12"
},
"0.1.12": {
"x86_64_linux_musl": {
"checksum": "14d33bd273110fc3a4ebc96eab922442e2663f1c8d8da746d66a917fa2957297"
},
"x86_64_macos": {
"checksum": "d4a71d3e58f0d0a998f35a034120e831498a36601a02b940c7999030decb43be"
},
"x86_64_windows": {
"checksum": "ab17ab06b5f211611e88d17e4b28ff19076c5b9a6d351fd7f0d20a071f3a1d03"
},
"aarch64_linux_musl": {
"checksum": "f7aa0d7909f9b828446c9d5f2a0db0ff27df7c167f110609d665b4d70d8a1a8b"
},
"aarch64_macos": {
"checksum": "1f23174e8a4522799999bac4564d780b7d4893d9f5aa2472b71782e826e3acbd"
},
"aarch64_windows": {
"checksum": "62267707abf30cacd086bfa035de527d5227682288c9e2176e03de925bae9dd3"
}
},
"0.1.11": {
"x86_64_linux_musl": {

View File

@@ -17,10 +17,44 @@
}
},
"latest": {
"version": "0.9.49"
"version": "0.9.51"
},
"0.9": {
"version": "0.9.49"
"version": "0.9.51"
},
"0.9.51": {
"x86_64_linux_gnu": {
"checksum": "5cbf80e72737d63a601f139d6ff1c42ca9cf6204cd7991f7d6ce7458f2c12bbc"
},
"x86_64_linux_musl": {
"checksum": "2d7def02b6b795b7b44fe2cca9b1b9e77bcb4c8903957ad502f60f45a2f92e9a"
},
"x86_64_macos": {
"checksum": "607c0cac7d659bb957af12a136756821771b9d91f03ccae24b255363e7fcbfda"
},
"x86_64_windows": {
"checksum": "4a97e5ab319af4347549e8414df2af5af7d9f8b4cee8650bad0111d2007711b2"
},
"aarch64_linux_gnu": {
"checksum": "8da18d12f95280bf1a7bde6e13cb8e1e2ea877acc4e826c27ab6c5df653fafca"
}
},
"0.9.50": {
"x86_64_linux_gnu": {
"checksum": "4586cfb628f70f6493d9f861b0c71dbe66622128e935ca3c922010bd460673ba"
},
"x86_64_linux_musl": {
"checksum": "c8b766b6bc28018b8a2c0597b97dd8183fe5a81ddd51fbcc1e9892147887eca3"
},
"x86_64_macos": {
"checksum": "77405db34f1191cc6979b3e291e7aaf587a40ee231cbccbe1885fd89e31ee577"
},
"x86_64_windows": {
"checksum": "6e8a2f4deeb4ade48f4424a65db13bd5122dec73d59a4eeac51c13eb997e1bdf"
},
"aarch64_linux_gnu": {
"checksum": "ebb3198673a199518548af5f8c1a5be7e15a85e9ca5c3978caeb7e0cd09f2969"
}
},
"0.9.49": {
"x86_64_linux_gnu": {

View File

@@ -20,10 +20,30 @@
}
},
"latest": {
"version": "0.2.1"
"version": "0.2.2"
},
"0.2": {
"version": "0.2.1"
"version": "0.2.2"
},
"0.2.2": {
"x86_64_linux_musl": {
"checksum": "06871d1243c12568ec1df16d1fe663413b86ac4b9993f208e8b683a9d6fb2c95"
},
"x86_64_macos": {
"checksum": "cd0570a4f415b30d31f48b12c8ccc1f3d197c9b552177a6402519cbcadde178b"
},
"x86_64_windows": {
"checksum": "88cd59cb5d1983778ade830346ab9901d1843ec9a3b098191f465cf31a9e6c47"
},
"aarch64_linux_musl": {
"checksum": "c9abe175390970139bf2afbc0fabab414c6b9549dee4216514513ce03643a8b7"
},
"aarch64_macos": {
"checksum": "10514a7ef5bfc29e6bfe2ffbb7130f80f30b7a2d63faadd2f5bddb36ec66d922"
},
"aarch64_windows": {
"checksum": "daa55434f81cc7711bef1f0f938540647bcde18458f429a0d03ccde617ff7144"
}
},
"0.2.1": {
"x86_64_linux_musl": {

View File

@@ -17,10 +17,44 @@
}
},
"latest": {
"version": "0.25.0"
"version": "0.25.2"
},
"0.25": {
"version": "0.25.0"
"version": "0.25.2"
},
"0.25.2": {
"x86_64_linux_musl": {
"checksum": "89f0f28baa818f445336da35c204206544b5e1160892ca0d5f50fe034abff771"
},
"x86_64_macos": {
"checksum": "fac48ad01a87435b35a0d04dbb5452929c72e3e28633ab0fb5740a50d113bf64"
},
"x86_64_windows": {
"checksum": "36cf0c7fcf1c1d589720e7409673535e46d734f9abf89ff179c964dbf24f56cc"
},
"aarch64_linux_musl": {
"checksum": "2600c6a6e8f6cdaf374fa492284ade31c4582f40f9c5ede1f726b743e144f9b6"
},
"aarch64_macos": {
"checksum": "3f615f38c18c32d10fdf85b73e5c5ee05c0308566d00d0b117c10175f659c504"
}
},
"0.25.1": {
"x86_64_linux_musl": {
"checksum": "3af89e49bb98caf0ce01f87bbe4493dd4219e0e47aa577149fb3d9046b39965a"
},
"x86_64_macos": {
"checksum": "8db642f0bcc15e1ad76794addd4e82911b79c7721dbd01f6113aab6636a36d41"
},
"x86_64_windows": {
"checksum": "a82851fd9bb3520acfd33073b6a01363f80fb8fdcf5bb5334e288894d939d5b4"
},
"aarch64_linux_musl": {
"checksum": "87cd75d72a83009cb042e5a844f265e455ff8525dc77c0806a52a824702ba259"
},
"aarch64_macos": {
"checksum": "cf45f5f58432aaf861a7ea051e01d9f9f08d1548bcab331f3eeea29d0f82f060"
}
},
"0.25.0": {
"x86_64_linux_musl": {

93
manifests/dprint.json generated
View File

@@ -20,7 +20,98 @@
}
},
"latest": {
"version": "0.34.5"
"version": "0.36.0"
},
"0.36": {
"version": "0.36.0"
},
"0.36.0": {
"x86_64_linux_musl": {
"checksum": "fd5dfb6f63389413984166c05754274d2ac9685f2a54e80619b016d7f527ea17"
},
"x86_64_macos": {
"checksum": "c55f6410fb879e2fad53ee9599172c40ee9446c5e69c04abc123b3d8346e63e2"
},
"x86_64_windows": {
"checksum": "beb17dc24c4e847334f7b4d06400e4de5d7931827f64ea43c1eb2c08f3cb9410"
},
"aarch64_linux_gnu": {
"checksum": "eda55e333246c6c22dcf624f1e8d38fa154ca460e705dd3f819449ba369fef5d"
},
"aarch64_macos": {
"checksum": "9220f02afcf6c016156695d9cdf9914e47bab8e8a29678d39f27387080940be7"
}
},
"0.35": {
"version": "0.35.4"
},
"0.35.4": {
"x86_64_linux_musl": {
"checksum": "a061268da99878970993d988b42de6324aea4cdce437fc1ca46ec51add4162dd"
},
"x86_64_macos": {
"checksum": "179234c542ffc1f26e2dffc62884809d1fd0e781b49f95b938410b1b6450c20c"
},
"x86_64_windows": {
"checksum": "50ac0366c5c20ace37fa2bef11f8826a5f68c1a28412b7751d89e38d7ce6c709"
},
"aarch64_linux_gnu": {
"checksum": "1a810a4c28934b6e281686ae53fe0e1eba973caec245df8004d4452ffc61d306"
},
"aarch64_macos": {
"checksum": "be2a5b698a0a4837a76a7626288a16e1c1f4153463f630845f9def43057f79e2"
}
},
"0.35.3": {
"x86_64_linux_musl": {
"checksum": "05c109b7174c76345d04903fb6e16548de6ae684b24fc3849dccaa9e940fe5f0"
},
"x86_64_macos": {
"checksum": "1a80a4156e86c3d3d6ad4725bc0638a2456363bff4216d1cfd52cae899544cc1"
},
"x86_64_windows": {
"checksum": "720bdac6fbd322908d9b8d3615ae72d8c79ac4c557f43a6ce7980b7e190d6f4d"
},
"aarch64_linux_gnu": {
"checksum": "d285f1f0a6688c446049dce02ca612794ea4ad0bcbc865d8aa6cad59e843576d"
},
"aarch64_macos": {
"checksum": "49f814ef2899c3684564a3fa46c17453850c3105aff1f3a88ff3babaadc054bd"
}
},
"0.35.1": {
"x86_64_linux_musl": {
"checksum": "0e472818121e092a41c36cfcedee1021f8e4133465d97b85572448b35e322d6b"
},
"x86_64_macos": {
"checksum": "f8e19f55f37dc43cc9394ccf5ef2968f525e11d68f5cd8025653c3c20caeb6f6"
},
"x86_64_windows": {
"checksum": "023561f7af69f27a0185a58d6a5aecf5d402430bfc865db95d80b83f364ab7ec"
},
"aarch64_linux_gnu": {
"checksum": "9c584fd4a55e6d8ae5edc5cf26bf87388eee2634f98af5f4653e3136ebbc619f"
},
"aarch64_macos": {
"checksum": "4b597e335aaaeebb62df1a1cb395fe10a53d0877e3fcbb872cb67e033b92a6a8"
}
},
"0.35.0": {
"x86_64_linux_musl": {
"checksum": "e5bf6ea8fb9a9b236c8b03415a33e524e6721414a94786853be84e8d6a17351a"
},
"x86_64_macos": {
"checksum": "8b42979146ee9b9f064ba1fe6062fe33f5d9e776ff2e96710747fe7dd9a727e7"
},
"x86_64_windows": {
"checksum": "454e10f765a5e5d3c8de29f0ddc5f74f33f9127d70fc8d7a41cd0c7b1bbd14ee"
},
"aarch64_linux_gnu": {
"checksum": "1fcba163e11d34bbca766385612e593b4c69ff23826ae18c8720dd09e05b23ac"
},
"aarch64_macos": {
"checksum": "28bef4e5b980e78b311bb8d25ee0c6f807d6d40736782438682c6308b2be9010"
}
},
"0.34": {
"version": "0.34.5"

18
manifests/mdbook.json generated
View File

@@ -17,10 +17,24 @@
}
},
"latest": {
"version": "0.4.27"
"version": "0.4.28"
},
"0.4": {
"version": "0.4.27"
"version": "0.4.28"
},
"0.4.28": {
"x86_64_linux_musl": {
"checksum": "84e3a4982c19e19b1d058af30b8835097109f520cb6c2e9e03413a896c9787aa"
},
"x86_64_macos": {
"checksum": "46605497fac2a379a02fa7287c0e4601a0cdfa2f913a4f1a06d820d91c0c310e"
},
"x86_64_windows": {
"checksum": "996bc212502e51da1d69090134d13cf51ff21e478be9b7e2aeb1d330c7865e35"
},
"aarch64_linux_musl": {
"checksum": "86b01509773e4011a9372de2932ceb0fdd52063153c7a673f63eeacf16c8426b"
}
},
"0.4.27": {
"x86_64_linux_musl": {

95
manifests/protoc.json generated
View File

@@ -1,10 +1,101 @@
{
"template": null,
"latest": {
"version": "3.21.12"
"version": "3.22.3"
},
"3": {
"version": "3.21.12"
"version": "3.22.3"
},
"3.22": {
"version": "3.22.3"
},
"3.22.3": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.3/protoc-22.3-linux-x86_64.zip",
"checksum": "0f8070d762eb8a2f5a13a47713a553f989f9d9b556e7e3ebfa2bd6464e2ecaeb"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.3/protoc-22.3-osx-x86_64.zip",
"checksum": "d644a65064a97fa3ed033a4a2314ab35816abbd9aed052f9b1b3374d2deaaae4"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.3/protoc-22.3-win64.zip",
"checksum": "fa7fe21bf6e204a4e1eec3ffee1d53c84e216289bc4762e072258e5bca113a3c"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.3/protoc-22.3-linux-aarch_64.zip",
"checksum": "c6068d9d151c39723bc7db920759b55737a770b0c2ec544dd0197d4078d7a956"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.3/protoc-22.3-osx-aarch_64.zip",
"checksum": "79cc15d1b528061ea0a818b0abcf3be1e0bdcb063a0cc999af27974cccdc5cce"
}
},
"3.22.2": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.2/protoc-22.2-linux-x86_64.zip",
"checksum": "15f281b36897e0ffbbe3a02f687ff9108c7a0f98bb653fb433e4bd62e698abe7"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.2/protoc-22.2-osx-x86_64.zip",
"checksum": "8bb75680c376190d960ef1d073618c1103960f70dc4fafa7bde872029562aec1"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.2/protoc-22.2-win64.zip",
"checksum": "6c2bba387b8a3d2d254eddb68376217314de8d6e9b3a43d3cd2e69c054457638"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.2/protoc-22.2-linux-aarch_64.zip",
"checksum": "aa2efbb2d481b7ad3c2428e0aa4dd6d813e4538e6c0a1cd4d921ac998187e07e"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.2/protoc-22.2-osx-aarch_64.zip",
"checksum": "a196fd39acd312688b58e81266fd88e9f7799967c5439738c10345a29049261d"
}
},
"3.22.1": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.1/protoc-22.1-linux-x86_64.zip",
"checksum": "3c830b09192a8c40c599856eb184c89ee5029d7dab9df8ec6d3d6741dcb94b93"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.1/protoc-22.1-osx-x86_64.zip",
"checksum": "3cc8d30d8bffc63bb2b8b0aea0d6a126acb4f69d4c720c142f7de6b9f4f562c6"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.1/protoc-22.1-win64.zip",
"checksum": "359a390f6124c067026e212995e402d2e6fcd525d07e3b69d1d81cb06b5690f2"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.1/protoc-22.1-linux-aarch_64.zip",
"checksum": "204e23069dc59bda1df5d66425c12373be39d71946fa378c3d7af44abbd651e9"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.1/protoc-22.1-osx-aarch_64.zip",
"checksum": "213e82e423baf44bad1eef99cf3e21d52ce1ac2942e3bbd25a63b1f737cf6ec6"
}
},
"3.22.0": {
"x86_64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.0/protoc-22.0-linux-x86_64.zip",
"checksum": "9ceff6c3945d521d1d0f42f9f57f6ef7cf3f581a9d303a027ba19b192045d1a2"
},
"x86_64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.0/protoc-22.0-osx-x86_64.zip",
"checksum": "1e0ad38fcf20a4b1cdeffe40f9188c4d1c30a9dd515cf92c8b57f629227f0eb3"
},
"x86_64_windows": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.0/protoc-22.0-win64.zip",
"checksum": "dd2a24c091f684ce9589fc76f9b5ed55dffdc0e0733bde20112f32b00771dbdb"
},
"aarch64_linux_gnu": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.0/protoc-22.0-linux-aarch_64.zip",
"checksum": "af403bd3009132b418b364e9df29cdbecff5f6ab560c392d48e9944f708d7778"
},
"aarch64_macos": {
"url": "https://github.com/protocolbuffers/protobuf/releases/download/v22.0/protoc-22.0-osx-aarch_64.zip",
"checksum": "834f35b26082ff2dc372df17cae4a4b7cded944756f1c99bac8c624214b542cc"
}
},
"3.21": {
"version": "3.21.12"

View File

@@ -18,7 +18,24 @@
}
},
"latest": {
"version": "0.10.3"
"version": "0.11.0"
},
"0.11": {
"version": "0.11.0"
},
"0.11.0": {
"x86_64_linux_musl": {
"checksum": "f3041ac5fda684d09b28ca23555c2f24cac9d6eef57ee4ef3f29fdab1c19fe24"
},
"x86_64_macos": {
"checksum": "5da38cb10536e6fe686402f5af94ea48a4b94dca9bde931bf117ddce3e746f0e"
},
"x86_64_windows": {
"checksum": "10092618d9451bace4f727d344f19a02dda4a28ffd527272595f88b8c15efec9"
},
"aarch64_linux_musl": {
"checksum": "ebc6339762f95385081a06ce3ac8d5846e7267011bc028266009cf3b4ff0f81c"
}
},
"0.10": {
"version": "0.10.3"

View File

@@ -22,7 +22,70 @@
}
},
"latest": {
"version": "5.0.0"
"version": "7.0.0"
},
"7": {
"version": "7.0.0"
},
"7.0": {
"version": "7.0.0"
},
"7.0.0": {
"x86_64_linux_gnu": {
"checksum": "b8a1c97f9107c885ea73a5c38677d0d340a7c26879d366e8a5f3dce84cffec99"
},
"x86_64_macos": {
"checksum": "70596a9f8fcf0b2467877cb184f41f6b451ade4ac74d1e0bb8986bbfbac925b4"
},
"x86_64_windows": {
"checksum": "bf796c35020df2df3a29475949e0330ea3fd47bbfd719d2959564c3e32a8c1a7"
},
"aarch64_linux_gnu": {
"checksum": "723171912c7cd6332c1ac599851dd04dcb107f60a9f18d9d2d3bd319e3c2c6ba"
},
"aarch64_macos": {
"checksum": "8e66af9cb46726f2c9b22f96cd8a08a5f1112d2f02f13f84ff2167444b14366e"
}
},
"6": {
"version": "6.0.1"
},
"6.0": {
"version": "6.0.1"
},
"6.0.1": {
"x86_64_linux_gnu": {
"checksum": "9fdc5f4cd679d77c42f6333793cd66ecca45347e4cbbeaf06cb0300f27ac5119"
},
"x86_64_macos": {
"checksum": "b9a3fff59995da204649123872126f08d4719c339be58a22f59768087e87c4e5"
},
"x86_64_windows": {
"checksum": "366b6a598165c3e20b99ba32f1aad1c6373f1f52104ce2e5decafc9e1cba73ec"
},
"aarch64_linux_gnu": {
"checksum": "dc6e69b1a90e2a35ea3d89284e3a1898df8d6dc4ea55c6fec3ae7e35b752a0fc"
},
"aarch64_macos": {
"checksum": "00e738f78448ae41f99f7c2c648277ef56a725198e33486191f2c0772bcd7ae1"
}
},
"6.0.0": {
"x86_64_linux_gnu": {
"checksum": "19090d9f0b6320d69908c3a9d3915c1b8149555d971061eda462edc0e212e0d3"
},
"x86_64_macos": {
"checksum": "c5a817ed5b3e31301a74011459a8a4b887265fcaf32106f7455d1be44419b305"
},
"x86_64_windows": {
"checksum": "43ca5c47c396fbf1edbf6de06841be0be296b11d17e5753cb1266bd3c5653f28"
},
"aarch64_linux_gnu": {
"checksum": "465156922e11e423730f2884d3c5ecf781a27098d58c7b6b4388d739d30bb7f3"
},
"aarch64_macos": {
"checksum": "f6c128aaea4aa7a1bb74d1d3eb00a82ea083208419345176af22afb9634ec7ae"
}
},
"5": {
"version": "5.0.0"

38
manifests/zola.json generated
View File

@@ -11,7 +11,43 @@
}
},
"latest": {
"version": "0.16.1"
"version": "0.17.2"
},
"0.17": {
"version": "0.17.2"
},
"0.17.2": {
"x86_64_linux_gnu": {
"checksum": "48742322fc0660afb22a4ce194e9b2bd610b5bd36f43abe121e56eb8a704b464"
},
"x86_64_macos": {
"checksum": "5e17a54c9b1db55ae71d49587b399b8b39bdee8cbb4a198ab6449c3e0f9ad21e"
},
"x86_64_windows": {
"checksum": "89c504756a2c34f8540adf7eee83a8f1b61527bc55daa7e42481a0c727cae88f"
}
},
"0.17.1": {
"x86_64_linux_gnu": {
"checksum": "f1ddbe0c1b0672da6eeb959eeb3f311b915ecc18719963934bcbc0c62783b711"
},
"x86_64_macos": {
"checksum": "96eb9ce229bdfb34cdcc05f540c965e0ad4104a253729bb6e3d2b7b3a57044a7"
},
"x86_64_windows": {
"checksum": "be0ea09c178a01bc04c1444349676a59b31c7a97930a5461fc170b3947ea4553"
}
},
"0.17.0": {
"x86_64_linux_gnu": {
"checksum": "41f8a78b85d4a138581dff468fa5a01378c7f7afeaf2d81524c45a9fba8988ad"
},
"x86_64_macos": {
"checksum": "41d69c8995f6a77acc3d0a0389de06f42000e8362264f6bd2c8ac12a7124827b"
},
"x86_64_windows": {
"checksum": "6e92a4186e2a5ddd61bc388c2d28558060e352d39e7ddb0985463e14728523da"
}
},
"0.16": {
"version": "0.16.1"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..

View File

@@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..

View File

@@ -1,4 +1,5 @@
#!/bin/bash
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
# shellcheck disable=SC2046
set -euo pipefail
IFS=$'\n\t'
@@ -14,7 +15,7 @@ trap 's=$?; echo >&2 "$0: Error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}
# - shfmt
# - shellcheck
# - npm
# - jq and yq (if this repository uses bors)
# - jq and yq
# - rustup (if Rust code exists)
# - clang-format (if C/C++ code exists)
#
@@ -33,6 +34,9 @@ check_diff() {
fi
fi
}
info() {
echo >&2 "info: $*"
}
warn() {
if [[ -n "${GITHUB_ACTIONS:-}" ]]; then
echo "::warning::$*"
@@ -41,6 +45,14 @@ warn() {
fi
should_fail=1
}
error() {
if [[ -n "${GITHUB_ACTIONS:-}" ]]; then
echo "::error::$*"
else
echo >&2 "error: $*"
fi
should_fail=1
}
if [[ $# -gt 0 ]]; then
cat <<EOF
@@ -52,6 +64,7 @@ fi
# Rust (if exists)
if [[ -n "$(git ls-files '*.rs')" ]]; then
info "checking Rust code style"
if type -P rustup &>/dev/null; then
# `cargo fmt` cannot recognize files not included in the current workspace and modules
# defined inside macros, so run rustfmt directly.
@@ -70,10 +83,40 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
else
warn "'rustup' is not installed"
fi
cast_without_turbofish=$(grep -n -E '\.cast\(\)' $(git ls-files '*.rs') || true)
if [[ -n "${cast_without_turbofish}" ]]; then
error "please replace \`.cast()\` with \`.cast::<type_name>()\`:"
echo "${cast_without_turbofish}"
fi
first='1'
for readme in $(git ls-files '*README.md'); do
if ! grep -q '^<!-- tidy:crate-doc:start -->' "${readme}"; then
continue
fi
lib="$(dirname "${readme}")/src/lib.rs"
if [[ -n "${first}" ]]; then
first=''
info "checking readme and crate-level doc are synchronized"
fi
if ! grep -q '^<!-- tidy:crate-doc:end -->' "${readme}"; then
bail "missing '<!-- tidy:crate-doc:end -->' comment in ${readme}"
fi
if ! grep -q '^<!-- tidy:crate-doc:start -->' "${lib}"; then
bail "missing '<!-- tidy:crate-doc:start -->' comment in ${lib}"
fi
if ! grep -q '^<!-- tidy:crate-doc:end -->' "${lib}"; then
bail "missing '<!-- tidy:crate-doc:end -->' comment in ${lib}"
fi
new=$(tr <"${readme}" '\n' '\a' | grep -o '<!-- tidy:crate-doc:start -->.*<!-- tidy:crate-doc:end -->' | sed 's/\&/\\\&/g; s/\\/\\\\/g')
new=$(tr <"${lib}" '\n' '\a' | awk -v new="${new}" 'gsub("<!-- tidy:crate-doc:start -->.*<!-- tidy:crate-doc:end -->",new)' | tr '\a' '\n')
echo "${new}" >"${lib}"
check_diff "${lib}"
done
fi
# C/C++ (if exists)
if [[ -n "$(git ls-files '*.c')$(git ls-files '*.cpp')" ]]; then
info "checking C/C++ code style"
if [[ ! -e .clang-format ]]; then
warn "could not fount .clang-format in the repository root"
fi
@@ -88,6 +131,7 @@ fi
# YAML/JavaScript/JSON (if exists)
if [[ -n "$(git ls-files '*.yml')$(git ls-files '*.js')$(git ls-files '*.json')" ]]; then
info "checking YAML/JavaScript/JSON code style"
if type -P npm &>/dev/null; then
echo "+ npx prettier -l -w \$(git ls-files '*.yml') \$(git ls-files '*.js') \$(git ls-files '*.json')"
npx prettier -l -w $(git ls-files '*.yml') $(git ls-files '*.js') $(git ls-files '*.json')
@@ -95,30 +139,45 @@ if [[ -n "$(git ls-files '*.yml')$(git ls-files '*.js')$(git ls-files '*.json')"
else
warn "'npm' is not installed"
fi
if [[ -e .github/workflows/ci.yml ]] && grep -q '# tidy:needs' .github/workflows/ci.yml && ! grep -Eq '# *needs: \[' .github/workflows/ci.yml; then
# Check GitHub workflows.
if [[ -d .github/workflows ]]; then
info "checking GitHub workflows"
if type -P jq &>/dev/null && type -P yq &>/dev/null; then
# shellcheck disable=SC2207
jobs_actual=($(yq '.jobs' .github/workflows/ci.yml | jq -r 'keys_unsorted[]'))
unset 'jobs_actual[${#jobs_actual[@]}-1]'
# shellcheck disable=SC2207
jobs_expected=($(yq -r '.jobs."ci-success".needs[]' .github/workflows/ci.yml))
if [[ "${jobs_actual[*]}" != "${jobs_expected[*]+"${jobs_expected[*]}"}" ]]; then
printf -v jobs '%s, ' "${jobs_actual[@]}"
sed -i "s/needs: \[.*\] # tidy:needs/needs: [${jobs%, }] # tidy:needs/" .github/workflows/ci.yml
check_diff .github/workflows/ci.yml
warn "please update 'needs' section in 'ci-success' job"
fi
for workflow in .github/workflows/*.yml; do
# The top-level permissions must be weak as they are referenced by all jobs.
permissions=$(yq '.permissions' "${workflow}" | jq -c)
case "${permissions}" in
'{"contents":"read"}' | '{"contents":"none"}' | '{}') ;;
null) error "${workflow}: top level permissions not found; it must be 'contents: read' or weaker permissions" ;;
*) error "${workflow}: only 'contents: read' and weaker permissions are allowed at top level; if you want to use stronger permissions, please set job-level permissions" ;;
esac
# Make sure the 'needs' section is not out of date.
if grep -q '# tidy:needs' "${workflow}" && ! grep -Eq '# *needs: \[' "${workflow}"; then
# shellcheck disable=SC2207
jobs_actual=($(yq '.jobs' "${workflow}" | jq -r 'keys_unsorted[]'))
unset 'jobs_actual[${#jobs_actual[@]}-1]'
# shellcheck disable=SC2207
jobs_expected=($(yq -r '.jobs."ci-success".needs[]' "${workflow}"))
if [[ "${jobs_actual[*]}" != "${jobs_expected[*]+"${jobs_expected[*]}"}" ]]; then
printf -v jobs '%s, ' "${jobs_actual[@]}"
sed -i "s/needs: \[.*\] # tidy:needs/needs: [${jobs%, }] # tidy:needs/" "${workflow}"
check_diff "${workflow}"
error "${workflow}: please update 'needs' section in 'ci-success' job"
fi
fi
done
else
warn "'jq' or 'yq' is not installed"
fi
fi
fi
if [[ -n "$(git ls-files '*.yaml')" ]]; then
warn "please use '.yml' instead of '.yaml' for consistency"
error "please use '.yml' instead of '.yaml' for consistency"
git ls-files '*.yaml'
fi
# Shell scripts
info "checking Shell scripts"
if type -P shfmt &>/dev/null; then
echo "+ shfmt -l -w \$(git ls-files '*.sh')"
shfmt -l -w $(git ls-files '*.sh')
@@ -144,8 +203,11 @@ fi
# Spell check (if config exists)
if [[ -f .cspell.json ]]; then
info "spell checking"
if type -P npm &>/dev/null; then
has_rust=''
if [[ -n "$(git ls-files '*Cargo.toml')" ]]; then
has_rust='1'
dependencies=''
for manifest_path in $(git ls-files '*Cargo.toml'); do
if [[ "${manifest_path}" != "Cargo.toml" ]] && ! grep -Eq '\[workspace\]' "${manifest_path}"; then
@@ -153,47 +215,65 @@ if [[ -f .cspell.json ]]; then
fi
metadata=$(cargo metadata --format-version=1 --all-features --no-deps --manifest-path "${manifest_path}")
for id in $(jq <<<"${metadata}" '.workspace_members[]'); do
dependencies+=$'\n'
dependencies+=$(jq <<<"${metadata}" ".packages[] | select(.id == ${id})" | jq -r '.dependencies[].name')
dependencies+="$(jq <<<"${metadata}" ".packages[] | select(.id == ${id})" | jq -r '.dependencies[].name')"$'\n'
done
done
words=''
# shellcheck disable=SC2001
for word in $(sed <<<"${dependencies}" 's/[0-9_-]/\n/g' | LC_ALL=C sort -f -u | (grep -E '.{4,}' || true)); do
# Skip if the word is contained in other dictionaries.
if ! npx cspell trace "${word}" 2>/dev/null | (grep -v -E '/(project-dictionary|rust-dependencies)\.txt' || true) | grep -Eq "^${word} \* [0-9A-Za-z_-]+\* "; then
words+=$'\n'
words+="${word}"
fi
done
dependencies=$(sed <<<"${dependencies}" 's/[0-9_-]/\n/g' | LC_ALL=C sort -f -u)
fi
config_old=$(<.cspell.json)
config_new=$(grep <<<"${config_old}" -v ' *//' | jq 'del(.dictionaries[] | select(index("organization-dictionary") | not))' | jq 'del(.dictionaryDefinitions[] | select(.name == "organization-dictionary" | not))')
echo "${config_new}" >.cspell.json
if [[ -n "${has_rust}" ]]; then
dependencies_words=$(npx <<<"${dependencies}" cspell stdin --no-progress --no-summary --words-only --unique || true)
fi
all_words=$(npx cspell --no-progress --no-summary --words-only --unique $(git ls-files | (grep -v '\.github/\.cspell/project-dictionary\.txt' || true)) || true)
# TODO: handle SIGINT
echo "${config_old}" >.cspell.json
cat >.github/.cspell/rust-dependencies.txt <<EOF
// This file is @generated by $(basename "$0").
// It is not intended for manual editing.
EOF
if [[ -n "${words:-}" ]]; then
echo "${words}" >>.github/.cspell/rust-dependencies.txt
if [[ -n "${dependencies_words:-}" ]]; then
echo $'\n'"${dependencies_words}" >>.github/.cspell/rust-dependencies.txt
fi
check_diff .github/.cspell/rust-dependencies.txt
if ! grep -Eq "^\.github/\.cspell/rust-dependencies.txt linguist-generated" .gitattributes; then
echo "warning: you may want to mark .github/.cspell/rust-dependencies.txt linguist-generated"
fi
echo "+ npx cspell --no-progress \$(git ls-files)"
npx cspell --no-progress $(git ls-files)
echo "+ npx cspell --no-progress --no-summary \$(git ls-files)"
if ! npx cspell --no-progress --no-summary $(git ls-files); then
error "spellcheck failed: please fix uses of above words or add to .github/.cspell/project-dictionary.txt if correct"
fi
# Make sure the project-specific dictionary does not contain duplicated words.
for dictionary in .github/.cspell/*.txt; do
if [[ "${dictionary}" == .github/.cspell/project-dictionary.txt ]]; then
continue
fi
dup=$(sed '/^$/d' .github/.cspell/project-dictionary.txt "${dictionary}" | LC_ALL=C sort -f | uniq -d -i | (grep -v '//.*' || true))
if [[ -n "${dup}" ]]; then
warn "duplicated words in dictionaries; please remove the following words from .github/.cspell/project-dictionary.txt"
error "duplicated words in dictionaries; please remove the following words from .github/.cspell/project-dictionary.txt"
echo "======================================="
echo "${dup}"
echo "======================================="
fi
done
# Make sure the project-specific dictionary does not contain unused words.
unused=''
for word in $(grep -v '//.*' .github/.cspell/project-dictionary.txt || true); do
if ! grep <<<"${all_words}" -Eq -i "^${word}$"; then
unused+="${word}"$'\n'
fi
done
if [[ -n "${unused}" ]]; then
error "unused words in dictionaries; please remove the following words from .github/.cspell/project-dictionary.txt"
echo "======================================="
echo -n "${unused}"
echo "======================================="
fi
else
warn "'npm' is not installed"
fi